WhatsApp Meta agent
Try Meta agent connector tool
Call your API through the tool with sample arguments and get its raw answer.
POST
/
orgs
/
{org_id}
/
connections
/
{connection_id}
/
whatsapp
/
phone-numbers
/
{phone_number_id}
/
meta-agent
/
connectors
/
{connector_id}
/
tools
/
{tool_id}
/
run
Try Meta agent connector tool
curl --request POST \
--url https://api.useinvent.com/orgs/{org_id}/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/meta-agent/connectors/{connector_id}/tools/{tool_id}/run \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": "{\"order_id\":\"1042\"}"
}
'import requests
url = "https://api.useinvent.com/orgs/{org_id}/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/meta-agent/connectors/{connector_id}/tools/{tool_id}/run"
payload = { "input": "{\"order_id\":\"1042\"}" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({input: '{"order_id":"1042"}'})
};
fetch('https://api.useinvent.com/orgs/{org_id}/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/meta-agent/connectors/{connector_id}/tools/{tool_id}/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"output": "<string>"
}Authorizations
Bearer token authentication using your API key
Path Parameters
The ID of the org
The ID of the connection
The ID of the WhatsApp phone number the Meta agent runs on
The ID of the connector
The ID of the connector tool
Body
application/jsonmultipart/form-data
The tool arguments as a JSON string.
Maximum string length:
100000Example:
"{\"order_id\":\"1042\"}"
Was this page helpful?
⌘I
Try Meta agent connector tool
